#include <stdlib.h>
#include <string.h>

#include <game.h>
#include <player.h>

void player_move(struct player* player, float dt, enum player_move_dir dir)
{
    if (dir == PLAYER_MOVE_DOWN)
    {
        player->y_location -= (int)(player->speed * dt);
    }
    else
    {
        player->y_location += (int)(player->speed * dt);
    }
}

void player_update(struct game_data* game, struct player* player, float dt)
{
    // Constrain the players location
    if (player->y_location < 0)
    {
        player->y_location = 0;
    }
    else if (player->y_location + PLAYER_HEIGHT > game->window_height)
    {
        player->y_location = game->window_height - PLAYER_HEIGHT;
    }
}

struct player* player_init(int x_location, int move_limit, int speed)
{
    struct player* player = malloc(sizeof(struct player));
    memset(player, 0, sizeof(struct player));

    player->x_location = x_location;
    player->y_location = (move_limit - PLAYER_HEIGHT) / 2;
    player->speed = speed;

    return player;
}